
Name:           powersave
BuildRequires:  dbus dbus-devel hal hal-devel lynx gcc-c++ cpufreq-utils sysfsutils sysfsutils-devel texinfo
URL:            http://powersave.sourceforge.net/
Summary:        General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
Version:        0.12.17
Group:          System/Daemons
Release:        5%{?dist}
License:        GPL
Autoreqprov:    on
Summary:        General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Patch0:         powersave-fix-__u32.diff
Patch1:         powersave-add-redhat-chkconfig_support.diff
Patch2:		powersave-acpid-initscript.patch
Requires:	acpid

%package devel
Summary:        Files needed for development with the powersave daemon or general powermanagement
Requires:       %{name} = %{version}-%{release} hal-devel dbus-devel glibc-devel
Autoreqprov:    on
Group:          System/Daemons
%package libs
Summary:        Shared libraries of the powersave daemon
Autoreqprov:    on
Group:          System/Daemons

%description
Powersave gives you control over the ACPI power buttons, three user
defined battery states (warning, low, critical) and supports proper
standby/suspend handling.

Additionally it could control the frequency of your processor if it
supports SpeedStep(Intel) or PowerNow(AMD) technology. This will
greatly reduce power consumption and heat production in your system.

Together with the kpowersave and yast2-power-management package it
should be the preferred power managing application.

Authors:
--------
    Thomas Renninger (mail@renninger.de, trenn@suse.de)
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%description devel
Files needed for development with the powersave daemon or general
powermanagement.

Authors:
--------
    Thomas Renninger <mail@renninger.de, trenn@suse.de>
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%description libs
Shared libraries of the powersave daemon. A running powersave daemon is
needed for full functionality of these libraries.

Authors:
--------
    Thomas Renninger <mail@renninger.de, trenn@suse.de>
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%prep
%setup -q -n %{name}-%{version}
%patch0 
%patch1
%patch2 -p1

%build
aclocal
autoconf
autoheader
libtoolize --force
automake -a

#autoreconf -fi
./configure \
            --prefix=/usr \
	    --libdir=%_libdir \
	    --libexecdir=/usr/lib \
            --enable-docs \
	    --disable-on_ac_power \
	    --enable-doc-dir=/usr/share/doc/powersave \
	    --mandir=%_mandir \
	    --sysconfdir=/etc \
	    --with-kde-bindir=/usr/bin \
	    --with-gnome-bindir=/usr/bin

make -e 'VERSION_NO="\"%version\""'

%install
# Version will be used for link to library: .so.%version, see below in %files
make install -e DESTDIR=%{buildroot} POWERSAVE_LIB_VERSION=%version TRANSLATION_DIR="%_datadir/locale/"
install scripts/rcpowersaved.redhat %buildroot/etc/init.d/powersaved
%find_lang power-management

%post
/sbin/ldconfig
/sbin/chkconfig --add powersaved
/sbin/chkconfig --level 5 powersaved on

%preun
if [ $1 = 0 ]; then
   service powersaved stop > /dev/null 2>&1
   /sbin/chkconfig --del powersaved
fi

%postun
/sbin/ldconfig

%files -f power-management.lang
%defattr(-,root,root)
%_sbindir/*
%_bindir/powersave
/usr/lib/powersave
%_mandir/*/*
%config /etc/init.d/powersaved
%config /etc/dbus-1/system.d/powersave.conf
/etc/acpi/events.ignore/events.ignore
/etc/powersave
%_docdir/%name

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.la
%_libdir/lib*.a
%_libdir/pkgconfig/*

%files libs
%defattr(-,root,root)
%_libdir/lib*.so*

%changelog
* Thu Jun 29 2006 Rafal Kwasny <rkwasny@aurox.org> 0.12.17-5
- fixed iniscript to see running apmd 

* Thu Jun 01 2006 Rafal Kwasny <rkwasny@aurox.org> 0.12.17-3
- added apmd to requires
- start by default at runlevel 5

* Mon May 15 2006 Rafal Kwasny <rkwasny@aurox.org> 0.12.17-2
- initial aurox release
